/**
 * Angular Diameter Distance in funzione del Redshift
 * in un'Universo piatto senza costante cosmologica
 * calcolato secondo Hogg 99, astro-ph/9905116
 *
 * Scritto da Mattia Vaccari il 10 Luglio 2001
**/

class ADD {

    static final double c = 2.99792e8;		// Velocita' della luce in m/s
    static final double H_0 = 2.26860e-15;	// Costante di Hubble in s^{-1}
    static final double Omega_M = 1.0;		// Densita' di massa dell'Universo

    static final double D_H = c/H_0;		// Distanza di Hubble

    static final double t_H = Math.pow(D_H,-1);	// Tempo di Hubble

    public static void main(String[] args) {

        for (int i = 0; i <= 100; i++) {

        double z = 0.05*i;			// Redshift

        double D_M = 2*D_H*			// Comoving Distance (CD)
                       (2-Omega_M*(1-z)-(2-Omega_M)*Math.pow(1+Omega_M*z,0.5))
                         /(Math.pow(Omega_M,2)*(1+z));

        double D_A = D_M/(1+z);			// Angular Diameter Distance (ADD)

        System.out.println(D_A/D_H);		// ADD Normalizzato

        }
    }
}
